Debian Bug report logs - #334323
O: r-cran-xml -- An XML package for the R language

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rafael Laboissiere <rafael@debian.org>

Date: Thu, 13 Oct 2005 09:03:08 UTC

Severity: normal

Fixed in version r-cran-xml/0.99-4-1

Done: Dirk Eddelbuettel <edd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, <wnpp@debian.org>:
Bug#333683; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: octave-statdataml, r-cran-statdataml, and r-cran-xml
Date: Thu, 13 Oct 2005 10:58:04 +0200
Package: wnpp
Severity: normal


Some time ago I packaged StatDataML (http://www.omegahat.org/StatDataML/)
for Debian hoping that it would be a solution for communicating data between
Octave and R.  The current version of the statdataml package (1.0.9) still
has me as maintainer, although I already put the sources in the SVN
repository of the Debain Octave Group (http://pkg-octave.alioth.debian.org).

In the meanwhile, I started using exclusively HDF5 for transferring data
between Octave and R and I think this is a superior approach, not to mention
the fact that I am now also able to use Perl to read/write the data files.

The statdataml source package generates two binary packages:
octave-statdataml and r-cran-statdataml.  This last one depends on
r-cran-xml, which I also packaged for Debian.

Now, the scoops:

1) Both r-cran-statdataml and r-cran-xml have been made available by the
   Debian BioCondutor Group (http://pkg-bioc.alioth.debian.org/).  BTW, the
   versions present in their apt-getable repository
   (http://public.pzr.uni-rostock.de/~moeller/mirror/) are more recent than
   those packaged by me.

2) The newest upstream version of StatDataML 1.0-10
   (http://cran.r-project.org/src/contrib/Descriptions/StatDataML.html) even
   does not contain the Octave part which was present in 1.0-9.

3) The Octave part of StatDataML 1.0-9 even does work correctly with g++
   4.0.  I do not know whether the problems comes really from octave 2.1.71,
   from libxml2 in sid, from the compiler, or from a combination of all
   those.  I do not have the time/interest in debugging this problem.

4) A bug report has been recently filed against r-cran-xml
   (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=330622).  This is an
   upstream problem and I even do not know whether the most recent upstream
   version of the fixes it.  (Again, my time/interest on this is very
   scarce).

Under all this circumstances, I am abandoning the StatDataML packages as
well as r-cran-xml.  This orphaning bug report against wnpp is the first
step before asking for removal of the packages from the FTP archive.

-- 
Rafael


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.8-1-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)




Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 333683 cloned as bug 334323. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Rafael Laboissiere <rafael@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 334323-close@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 334323-close@bugs.debian.org
Subject: Bug#334323: fixed in r-cran-xml 0.99-4-1
Date: Fri, 16 Dec 2005 17:02:06 -0800
Source: r-cran-xml
Source-Version: 0.99-4-1

We believe that the bug you reported is fixed in the latest version of
r-cran-xml, which is due to be installed in the Debian FTP archive:

r-cran-xml_0.99-4-1.diff.gz
  to pool/main/r/r-cran-xml/r-cran-xml_0.99-4-1.diff.gz
r-cran-xml_0.99-4-1.dsc
  to pool/main/r/r-cran-xml/r-cran-xml_0.99-4-1.dsc
r-cran-xml_0.99-4-1_i386.deb
  to pool/main/r/r-cran-xml/r-cran-xml_0.99-4-1_i386.deb
r-cran-xml_0.99-4.orig.tar.gz
  to pool/main/r/r-cran-xml/r-cran-xml_0.99-4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 334323@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Eddelbuettel <edd@debian.org> (supplier of updated r-cran-xml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 16 Dec 2005 18:52:15 -0600
Source: r-cran-xml
Binary: r-cran-xml
Architecture: source i386
Version: 0.99-4-1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Dirk Eddelbuettel <edd@debian.org>
Description: 
 r-cran-xml - An XML package for the R language
Closes: 334323
Changes: 
 r-cran-xml (0.99-4-1) unstable; urgency=low
 .
   * New upstream release
   * Also close 'package is orphaned' bug report 	(Closes: #334323)
Files: 
 09271f41333a561c4a8b81c5d1c1825f 638 math optional r-cran-xml_0.99-4-1.dsc
 0352a5ec9afb0b26c81777243ffa8893 566342 math optional r-cran-xml_0.99-4.orig.tar.gz
 78aa0999f699e6c908d5730369e38384 2627 math optional r-cran-xml_0.99-4-1.diff.gz
 06f41b812e4c8a5bf4bff278d4ae5a38 629232 math optional r-cran-xml_0.99-4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDo2J+CZSR95Gw07cRAhCxAJ4vgVcyGlIr6WZeUuG0Z2eiF1mm6wCgij/5
kFBiEmUaUkNdjue24leQ0aI=
=Ap6H
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#334323; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Hejssan Parks" <Hejssan_Parks@AirIAQ.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #23 received at 334323@bugs.debian.org (full text, mbox):

From: "Hejssan Parks" <Hejssan_Parks@AirIAQ.com>
To: <334323@bugs.debian.org>
Subject: ROIProject fc StuffData
Date: Fri, 20 Apr 2007 13:39:23 +0400
So the content of ATPHA in cells is 0.

AN ALLE FINANZINVESTOREN!
DIESE AKTIE WIRD DURCHSTARTEN!
FREITAG 20. APRIL STARTET DIE HAUSSE!
REALISIERTER KURSGEWINN VON 400%+ IN 5 TAGEN!

Symbol: G7Q.F
Company: COUNTY LINE ENERGY
5 Tages Kursziel: 0.95
Schlusskurs: 0.21
WKN:  A0J3B0
ISIN: US2224791077
Markt: Frankfurt

LASSEN SIE SICH DIESE CHANCE NICHT ENTGEHEN!
G7Q WIRD WIE EINE RAKETE DURCHSTARTEN!
UNSERE ERWARTUNGEN WIRD G7Q.F UBERTREFFEN!

Also, he said that as of 4.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 19:25:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:03:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.